#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D texMap;

void main(void)
{
    vec4 col = texture2D(CC_Texture0, v_texCoord);
    vec4 col2 = texture2D(texMap, v_texCoord);
//    col.r += 0.5;
//    float k = 0.5*(col.g+col.b);
//    col.g = k;
//    col.b = k;
//    col *= col.a;
    col *= col.a*col2.a;
    gl_FragColor = vec4(col) * v_fragmentColor;
}
